Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.admin.service
Class CryptoAdmin

    java.lang.Object
      org.wso2.wsas.admin.service.AbstractAdmin
          org.wso2.wsas.admin.service.CryptoAdmin

public class CryptoAdmin
extends AbstractAdmin

Handles all cryptographic administration functions

Field Summary

Fields inherited from class org.wso2.wsas.admin.service.AbstractAdmin
`axisConfig, configCtx`

Constructor Summary
`CryptoAdmin()`

Method Summary
`java.lang.String` | `addNewKeyStore(java.lang.String ksFilePathId, java.lang.String ksPassword, java.lang.String pvtKeyAlias, java.lang.String pvtKeyPassword, java.lang.String keyStoreType, java.lang.String provider)`
`java.lang.String` | `deleteKeyStore(java.lang.String keyStoreName)`
`java.lang.String[]` | `getAllKeyStoreNames()`
`java.lang.String[]` | `getCertificates(java.lang.String keyStoreName)` Get the certificate aliases in a particular key store
`KeyStoreData` | `getKeystoreInfo(java.lang.String keyStoreName)` This method will list 1.
`KeyStoreSummary[]` | `getKeyStores()`
`java.lang.String[]` | `getPrivateKeys(java.lang.String keyStoreFileId, java.lang.String storePass, java.lang.String keyStoreType)` Get all the private keys in KeyStore corresponding to `keyStoreFileId`
`ServiceKeyStore[]` | `getServiceKeyStores(java.lang.String serviceName)`
`java.lang.String` | `importCertificate(java.lang.String keyStoreName, java.lang.String certificatePathId)`

Methods inherited from class org.wso2.wsas.admin.service.AbstractAdmin
`getAxisConfig, getConfigContext, init, setAxisConfig, setConfigContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CryptoAdmin

    public CryptoAdmin()

Method Detail

### getPrivateKeys

    public java.lang.String[] getPrivateKeys(java.lang.String keyStoreFileId,
                                             java.lang.String storePass,
                                             java.lang.String keyStoreType)
                                      throws org.apache.axis2.AxisFault

  Get all the private keys in KeyStore corresponding to `keyStoreFileId`

  Parameters:
    `keyStoreFileId` -
    `storePass` -
    `keyStoreType` - Type of the Key Store (JKS/PKCS12 etc)
  Returns:
    The private keys in KeyStore corresponding to `keyStoreFileId`
  Throws:
    `org.apache.axis2.AxisFault`

### getCertificates

    public java.lang.String[] getCertificates(java.lang.String keyStoreName)
                                       throws org.apache.axis2.AxisFault

  Get the certificate aliases in a particular key store

  Parameters:
    `keyStoreName` - The name of the keystore
  Returns:
    Certificate aliases
  Throws:
    `org.apache.axis2.AxisFault`

### getKeystoreInfo

    public KeyStoreData getKeystoreInfo(java.lang.String keyStoreName)
                                 throws org.apache.axis2.AxisFault

  This method will list 1. Certificate aliases 2. Private key alise 3. Private key value to a given keystore.

  Parameters:
    `keyStoreName` - The name of the keystore
  Returns:
    Instance of KeyStoreData
  Throws:
    `org.apache.axis2.AxisFault` - will be thrown

### addNewKeyStore

    public java.lang.String addNewKeyStore(java.lang.String ksFilePathId,
                                           java.lang.String ksPassword,
                                           java.lang.String pvtKeyAlias,
                                           java.lang.String pvtKeyPassword,
                                           java.lang.String keyStoreType,
                                           java.lang.String provider)
                                    throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### importCertificate

    public java.lang.String importCertificate(java.lang.String keyStoreName,
                                              java.lang.String certificatePathId)
                                       throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### getAllKeyStoreNames

    public java.lang.String[] getAllKeyStoreNames()

### getServiceKeyStores

    public ServiceKeyStore[] getServiceKeyStores(java.lang.String serviceName)

### getKeyStores

    public KeyStoreSummary[] getKeyStores()

### deleteKeyStore

    public java.lang.String deleteKeyStore(java.lang.String keyStoreName)
                                    throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD